package com.iformall.service;

import com.github.pagehelper.PageInfo;
import com.iformall.common.ResultData;
import com.iformall.domain.po.MallUserInfo;
import com.iformall.domain.po.WxSubsidy;
import com.iformall.enums.EnumPayWay;

import java.util.Map;

public interface WxSubsidyService {

    /**
     * 创建补贴订单
     * @param amountStr
     * @return
     */
    ResultData createSubsidy(MallUserInfo user, String ip, String amountStr);

	/**
     * 根据实体查询分页列表
     *
     * @param record
     * @param pageIndex
     * @param pageSize
     * @return
     */
	PageInfo<WxSubsidy> listAsPage(WxSubsidy record, Integer pageIndex, Integer pageSize);
	
	/**
     * 根据Id获得实体
     *
     * @param id
     * @return
     */
    WxSubsidy getById(Long id);
    
        /**
     * 保存或更新实体
     *
     * @param record
     */
    void saveOrUpdate(WxSubsidy record);

    /**
     * 根据Id删除实体
     *
     * @param id
     */
    void deleteById(Long id);

    String notify(Map<String, String> paramMap, EnumPayWay payWay);
    
	
	

	
	
	
	
}
